package com.engine.kq.entity;

/***
 * 打卡区间范围
 * 增加了上班后多久停止打卡和下班前多久开始打卡的控制
 */
public class TimeSignScopeEntity {
  private String beginTimeEnd;
  private boolean beginTimeEndAcross;
  /**
   * 是否跨天到前一天
   */
  private boolean beginTimePreAcross;
  private String endTimeStart;
  private boolean endTimeStartAcross;

  public String getBeginTimeEnd() {
    return beginTimeEnd;
  }

  public void setBeginTimeEnd(String beginTimeEnd) {
    this.beginTimeEnd = beginTimeEnd;
  }

  public boolean isBeginTimeEndAcross() {
    return beginTimeEndAcross;
  }

  public void setBeginTimeEndAcross(boolean beginTimeEndAcross) {
    this.beginTimeEndAcross = beginTimeEndAcross;
  }

  public String getEndTimeStart() {
    return endTimeStart;
  }

  public void setEndTimeStart(String endTimeStart) {
    this.endTimeStart = endTimeStart;
  }

  public boolean isEndTimeStartAcross() {
    return endTimeStartAcross;
  }

  public void setEndTimeStartAcross(boolean endTimeStartAcross) {
    this.endTimeStartAcross = endTimeStartAcross;
  }

  public boolean isBeginTimePreAcross() {
    return beginTimePreAcross;
  }

  public void setBeginTimePreAcross(boolean beginTimePreAcross) {
    this.beginTimePreAcross = beginTimePreAcross;
  }
}
